<?php

// Reminder: always indent with 4 spaces (no tabs).
// +---------------------------------------------------------------------------+
// | Blog Plugin 1.0                                                           |
// +---------------------------------------------------------------------------+
// | index.php                                                                 |
// |                                                                           |
// | Geeklog Blog Plugin administration page.                                  |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2000-2008 by the following authors:                         |
// |                                                                           |
// | Authors: Tony Bibbs        - tony AT tonybibbs DOT com                    |
// |          Mark Limburg      - mlimburg AT users DOT sourceforge DOT net    |
// |          Jason Whittenburg - jwhitten AT securitygeeks DOT com            |
// |          Dirk Haun         - dirk AT haun-online DOT de                   |
// |          Euan McKay        - info AT heatherengineering DOT com           |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

require_once '../../../lib-common.php';
require_once '../../auth.inc.php';
require_once $_CONF['path_system'] . 'lib-security.php';

include_once( $_CONF['path_html'] . "fckeditor/fckeditor.php");

// Uncomment the lines below if you need to debug the HTTP variables being passed
// to the script.  This will sometimes cause errors but it will allow you to see
// the data being passed in a POST operation
// echo COM_debug($_POST);
// exit;

$display = '';

if (!SEC_hasRights ('blog.edit')) {
    $display .= COM_siteHeader ('menu', $MESSAGE[30]);
    $display .= COM_startBlock ($MESSAGE[30], '', COM_getBlockTemplate ('_msg_block', 'header'));
    $display .= $MESSAGE[34];
    $display .= COM_endBlock (COM_getBlockTemplate ('_msg_block', 'footer'));
    $display .= COM_siteFooter ();
    COM_accessLog ("User {$_USER['username']} tried to illegally access the blog administration screen.");
    echo $display;
    exit;
}

/**
* Shows the blog editor
*
* @param  string  $mode   Used to see if we are moderating a blog or simply editing one
* @param  string  $bid    ID of blog to edit
* @global array core config vars
* @global array core group data
* @global array core table data
* @global array core user data
* @global array blog plugin config vars
* @global array blog plugin lang vars
* @global array core lang access vars
* @return string HTML for the blog editor form
*
*/
function edit_blog ($mode, $bid = '')
{
    global $_CONF, $_GROUPS, $_TABLES, $_USER, $_BL_CONF,
           $LANG_BL_ADMIN, $LANG_ACCESS, $LANG_ADMIN, $MESSAGE;

    $retval = '';

    $blog_templates = new Template($_CONF['path'] . 'plugins/blog/templates/admin/');
    $blog_templates->set_file('editor','blogeditor.thtml');
    $blog_templates->set_var( 'xhtml', XHTML );
    $blog_templates->set_var('site_url', $_CONF['site_url']);
    $blog_templates->set_var('site_admin_url', $_CONF['site_admin_url']);
    $blog_templates->set_var('layout_url',$_CONF['layout_url']);

    $blog_templates->set_var('lang_blog_list', $LANG_BL_ADMIN[53]);
    $blog_templates->set_var('lang_new_blog', $LANG_BL_ADMIN[51]);
    $blog_templates->set_var('lang_admin_home', $LANG_ADMIN['admin_home']);
    $blog_templates->set_var('instructions', $LANG_BL_ADMIN[29]);
    $blog_templates->set_var('lang_comments', $LANG_BL_ADMIN[68]);

    if ($mode <> 'editsubmission' AND !empty($bid)) {
        // editing an existing item, so get data from DB for access check etc.
        $result = DB_query("SELECT * FROM {$_TABLES['blog_items']} WHERE bid ='$bid'");
        if (DB_numRows($result) !== 1) {
            $msg = COM_startBlock ($LANG_BL_ADMIN[24], '', COM_getBlockTemplate ('_msg_block', 'header'));
            $msg .= $LANG_BL_ADMIN[25];
            $msg .= COM_endBlock (COM_getBlockTemplate ('_msg_block', 'footer'));
            return $msg;
        }
        $A = DB_fetchArray($result);
        $access = SEC_hasAccess($A['owner_id'],$A['group_id'],$A['perm_owner'],$A['perm_group'],$A['perm_members'],$A['perm_anon']);
        if ($access == 0 OR $access == 2) {
            $retval .= COM_startBlock($LANG_BL_ADMIN[16], '', COM_getBlockTemplate ('_msg_block', 'header'));
            $retval .= $LANG_BL_ADMIN[17];
            $retval .= COM_endBlock (COM_getBlockTemplate ('_msg_block', 'footer'));
            COM_accessLog("User {$_USER['username']} tried to illegally submit or edit blog $bid.");
            return $retval;
        }
    } else {
        if ($mode == 'editsubmission') {
            // editing a submission, so get data from submissions table
            $result = DB_query ("SELECT * FROM {$_TABLES['blog_items_submission']} WHERE bid = '$bid'");
            $A = DB_fetchArray($result);
        } else {
            // new item so set default values
            $A['bid'] = COM_makesid();
            $A['content'] = '';
            $A['title']= '';
            $A['date']= date('c');
            $A['owner_id'] = $_USER['uid'];
        }
        $A['hits'] = 0;
        if (isset ($_GROUPS['Blog Admin'])) {
            $A['group_id'] = $_GROUPS['Blog Admin'];
        } else {
            $A['group_id'] = SEC_getFeatureGroup ('blog.edit');
        }
        SEC_setDefaultPermissions ($A, $_BL_CONF['default_permissions']);
        $access = 3;
    }
    $retval .= COM_startBlock ($LANG_BL_ADMIN[1], '', COM_getBlockTemplate ('_admin_block', 'header'));

    $blog_templates->set_var('blog_id', $A['bid']);
    if (!empty($bid) && SEC_hasRights('blog.edit')) {
        $delbutton = '<input type="submit" value="' . $LANG_ADMIN['delete'] . '" name="mode"%s' . XHTML . '>';
        $jsconfirm = ' onclick="return confirm(\'' . $MESSAGE[76] . '\');"';
        $blog_templates->set_var ('delete_option', sprintf ($delbutton, $jsconfirm));
        $blog_templates->set_var ('delete_option_no_confirmation', sprintf ($delbutton, ''));
        if ($mode == 'editsubmission') {
            $blog_templates->set_var('submission_option',
                '<input type="hidden" name="type" value="submission"' . XHTML . '>');
        }
    }
    $blog_templates->set_var('lang_blogtitle', $LANG_BL_ADMIN[3]);
    $blog_templates->set_var('blog_title', htmlspecialchars (stripslashes ($A['title'])));
    $blog_templates->set_var('lang_blogdate', $LANG_BL_ADMIN[64]);
    $blog_templates->set_var('lang_year', $LANG_BL_ADMIN[61]);
    $blog_templates->set_var('lang_month', $LANG_BL_ADMIN[62]);
    $blog_templates->set_var('lang_day', $LANG_BL_ADMIN[63]);
    $blog_templates->set_var('blog_year', substr($A['date'], 0, 4));
    $blog_templates->set_var('blog_month', substr($A['date'], 5, 2));
    $blog_templates->set_var('blog_day', substr($A['date'], 8, 2));
    
    if ($A['commentcode'] == 0) {
        $blog_templates->set_var('commentcode_checked', 'checked="checked"');
    } else {
        $blog_templates->set_var('commentcode_checked', '');
    }
    
    $blog_templates->set_var('lang_blogcontent', $LANG_BL_ADMIN[9]);


    $blog_templates->set_var('blog_content', stripslashes($A['content']));


    $blog_templates->set_var('lang_save', $LANG_ADMIN['save']);
    $blog_templates->set_var('lang_cancel', $LANG_ADMIN['cancel']);

    // user access info
    $blog_templates->set_var('lang_accessrights', $LANG_ACCESS['accessrights']);
    $blog_templates->set_var('lang_owner', $LANG_ACCESS['owner']);
    $ownername = COM_getDisplayName ($A['owner_id']);
    $blog_templates->set_var('owner_username', DB_getItem($_TABLES['users'], 'username', "uid = {$A['owner_id']}"));
    $blog_templates->set_var('owner_name', $ownername);
    $blog_templates->set_var('owner', $ownername);
    $blog_templates->set_var('blog_ownerid', $A['owner_id']);
    $blog_templates->set_var('lang_group', $LANG_ACCESS['group']);
    $blog_templates->set_var('group_dropdown', SEC_getGroupDropdown ($A['group_id'], $access));
    $blog_templates->set_var('lang_permissions', $LANG_ACCESS['permissions']);
    $blog_templates->set_var('lang_permissionskey', $LANG_ACCESS['permissionskey']);
    $blog_templates->set_var('permissions_editor', SEC_getPermissionsHTML($A['perm_owner'],$A['perm_group'],$A['perm_members'],$A['perm_anon']));
    $blog_templates->set_var('lang_lockmsg', $LANG_ACCESS['permmsg']);
    $blog_templates->set_var('gltoken_name', CSRF_TOKEN);
    $blog_templates->set_var('gltoken', SEC_createToken());
    $blog_templates->parse('output', 'editor');
    $retval .= $blog_templates->finish($blog_templates->get_var('output'));

    $retval .= COM_endBlock (COM_getBlockTemplate ('_admin_block', 'footer'));

    return $retval;
}

/**
* Saves blog to the database
*
* @param    string  $bid            ID for blog
* @param    string  $old_bid        old ID for blog
* @param    string  $content        Content of blog
* @param    string  $title          Title of blog
* @param    int     $year           date associated with blog item
* @param    int     $month          date associated with blog item
* @param    int     $day            date associated with blog item
* @param    int     $owner_id       ID of owner
* @param    int     $group_id       ID of group blog belongs to
* @param    int     $perm_owner     Permissions the owner has
* @param    int     $perm_group     Permissions the group has
* @param    int     $perm_members   Permissions members have
* @param    int     $perm_anon      Permissions anonymous users have
* @return   string                  HTML redirect or error message
* @global array core config vars
* @global array core group data
* @global array core table data
* @global array core user data
* @global array core msg data
* @global array blog plugin lang admin vars
*
*/
function save_blog ($bid, $old_bid, $content, $title, $year, $month, $day, $commentcode, $owner_id, $group_id, $perm_owner, $perm_group, $perm_members, $perm_anon)
{
    global $_CONF, $_GROUPS, $_TABLES, $_USER, $MESSAGE, $LANG_BL_ADMIN, $_BL_CONF;

    $retval = '';

    // Convert array values to numeric permission values
    if (is_array($perm_owner) OR is_array($perm_group) OR is_array($perm_members) OR is_array($perm_anon)) {
        list($perm_owner,$perm_group,$perm_members,$perm_anon) = SEC_getPermissionValues($perm_owner,$perm_group,$perm_members,$perm_anon);
    }

    // clean 'em up
    $content = addslashes (COM_checkHTML (COM_checkWords ($content)));
    $title = addslashes (COM_checkHTML (COM_checkWords ($title)));

    if ($commentcode == 'on') {
        $commentcode = 0;
    } else {
        $commentcode = 1;
    }

    if (empty ($owner_id)) {
        // this is new blog from admin, set default values
        $owner_id = $_USER['uid'];
        if (isset ($_GROUPS['Blog Admin'])) {
            $group_id = $_GROUPS['Blog Admin'];
        } else {
            $group_id = SEC_getFeatureGroup ('blog.edit');
        }
        $arr = array();
        SEC_setDefaultPermissions ($arr, $_BL_CONF['default_permissions']);
        $perm_owner = $arr['perm_owner'];
        $perm_group = $arr['perm_group'];
        $perm_members = $arr['perm_members'];
        $perm_anon = $arr['perm_anon'];
    }

    $bid = COM_sanitizeID($old_bid);
    $old_bid = COM_sanitizeID($old_bid);
    if (empty($bid)) {
        if (empty($old_bid)) {
            $bid = COM_makeSid();
        } else {
            $bid = $old_bid;
        }
    }

    // check for blog id change
    if (!empty($old_bid) && ($bid != $old_bid)) {
        // check if new bid is already in use
        if (DB_count($_TABLES['blog_items'], 'bid', $bid) > 0) {
            // TBD: abort, display editor with all content intact again
            $bid = $old_bid; // for now ...
        }
    }

    $access = 0;
    $old_bid = addslashes ($old_bid);
    if (DB_count ($_TABLES['blog_items'], 'bid', $old_bid) > 0) {
        $result = DB_query ("SELECT owner_id,group_id,perm_owner,perm_group,perm_members,perm_anon FROM {$_TABLES['blog_items']} WHERE bid = '{$old_bid}'");
        $A = DB_fetchArray ($result);
        $access = SEC_hasAccess ($A['owner_id'], $A['group_id'],
                $A['perm_owner'], $A['perm_group'], $A['perm_members'], $A['perm_anon']);
    } else {
        $access = SEC_hasAccess ($owner_id, $group_id, $perm_owner, $perm_group, $perm_members, $perm_anon);
    }
    if (($access < 3) || !SEC_inGroup ($group_id)) {
        $display .= COM_siteHeader ('menu', $MESSAGE[30]);
        $display .= COM_startBlock ($MESSAGE[30], '', COM_getBlockTemplate ('_msg_block', 'header'));
        $display .= $MESSAGE[31];
        $display .= COM_endBlock (COM_getBlockTemplate ('_msg_block', 'footer'));
        $display .= COM_siteFooter ();
        COM_accessLog("User {$_USER['username']} tried to illegally submit or edit blog $bid.");
        echo $display;
        exit;
    } elseif (!empty($title) && !empty($content) && !empty($year) && !empty($month) && !empty($day)) {
        DB_delete ($_TABLES['blog_items_submission'], 'bid', $old_bid);
        DB_delete ($_TABLES['blog_items'], 'bid', $old_bid);
        
        $date = $year . '/' . $month . '/' . $day;
        DB_save ($_TABLES['blog_items'], 'bid,content,title,date,modified,hits,commentcode,owner_id,group_id,perm_owner,perm_group,perm_members,perm_anon', "'$bid','$content','$title','$date',NOW(),'$hits',$commentcode,$owner_id,$group_id,$perm_owner,$perm_group,$perm_members,$perm_anon");
        // Get category for rdf check
        COM_rdfUpToDateCheck ('blog', $bid);

        return PLG_afterSaveSwitch (
            $_BL_CONF['aftersave'],
            COM_buildURL ("{$_CONF['site_url']}/blog/index.php"),
            'blog',
            2
        );

    } else { // missing fields
        $retval .= COM_siteHeader('menu', $LANG_BL_ADMIN[1]);
        $retval .= COM_errorLog($LANG_BL_ADMIN[10],2);
        if (DB_count ($_TABLES['blog_items'], 'bid', $old_bid) > 0) {
            $retval .= edit_blog ('edit', $old_bid);
        } else {
            $retval .= edit_blog ('edit', '');
        }
        $retval .= COM_siteFooter();

        return $retval;
    }
}

/**
 * List items
 * @global array core config vars
 * @global array core table data
 * @global array core user data
 * @global array core lang admin vars
 * @global array blog plugin lang vars
 * @global array core lang access vars
 */
function list_blog ()
{
    global $_CONF, $_TABLES, $LANG_ADMIN, $LANG_BL_ADMIN, $LANG_ACCESS,
           $_IMAGE_TYPE;

    require_once $_CONF['path_system'] . 'lib-admin.php';

    $retval = '';

    $header_arr = array(      # display 'text' and use table field 'field'
        array('text' => $LANG_ADMIN['edit'], 'field' => 'edit', 'sort' => false),
        array('text' => $LANG_BL_ADMIN[2], 'field' => 'bid', 'sort' => true),
        array('text' => $LANG_BL_ADMIN[66], 'field' => 'date', 'sort' => true),
        array('text' => $LANG_BL_ADMIN[67], 'field' => 'title', 'sort' => true),
        array('text' => $LANG_BL_ADMIN[65], 'field' => 'content', 'sort' => true),
        array('text' => $LANG_ACCESS['access'], 'field' => 'access', 'sort' => false)
    );

    $menu_arr = array (
        array('url' => $_CONF['site_admin_url'] . '/plugins/blog/index.php?mode=edit',
              'text' => $LANG_BL_ADMIN[51])
    );

    $defsort_arr = array('field' => 'date', 'direction' => 'desc');

    $menu_arr[] = array('url' => $_CONF['site_admin_url'],
                        'text' => $LANG_ADMIN['admin_home']);

    $retval .= COM_startBlock($LANG_BL_ADMIN[11], '', COM_getBlockTemplate('_admin_block', 'header'));

    $retval .= ADMIN_createMenu($menu_arr, $LANG_BL_ADMIN[12] . $validate_help, plugin_geticon_blog());

    $text_arr = array(
        'has_extras' => true,
        'form_url' => $_CONF['site_admin_url'] . "/plugins/blog/index.php$validate"
    );

    $query_arr = array('table' => 'blog',
        'sql' => "SELECT * FROM {$_TABLES['blog_items']} ",
        'query_fields' => array('title', 'content', 'date'),
        'default_filter' => COM_getPermSql ()
    );

    $retval .= ADMIN_list('blog', 'plugin_getListField_blog', $header_arr,
                    $text_arr, $query_arr, $defsort_arr, '', '', '', $form_arr);
    $retval .= COM_endBlock(COM_getBlockTemplate('_admin_block', 'footer'));

    return $retval;
}

/**
* Delete a blog
*
* @param    string  $bid    id of blog to delete
* @param    string  $type   'submission' when attempting to delete a submission
* @return   string          HTML redirect
*
*/
function delete_blog($bid, $type = '')
{
    global $_CONF, $_TABLES, $_USER;

    if (empty($type)) { // delete regular blog
        $result = DB_query("SELECT owner_id,group_id,perm_owner,perm_group,perm_members,perm_anon FROM {$_TABLES['blog_items']} WHERE bid ='$bid'");
        $A = DB_fetchArray($result);
        $access = SEC_hasAccess($A['owner_id'], $A['group_id'],
                    $A['perm_owner'], $A['perm_group'], $A['perm_members'], $A['perm_anon']);
        if ($access < 3) {
            COM_accessLog("User {$_USER['username']} tried to illegally delete blog $bid.");
            return COM_refresh($_CONF['site_admin_url'] . '/plugins/blog/index.php');
        }

        DB_delete($_TABLES['blog_items'], 'bid', $bid);

        return COM_refresh($_CONF['site_admin_url'] . '/plugins/blog/index.php?msg=3');
    } elseif ($type == 'submission') {
        if (plugin_ismoderator_blog()) {
            DB_delete($_TABLES['blog_items_submission'], 'bid', $bid);

            return COM_refresh($_CONF['site_admin_url'] . '/plugins/blog/index.php?msg=3');
        } else {
            COM_accessLog("User {$_USER['username']} tried to illegally delete blog submission $bid.");
        }
    } else {
        COM_errorLog("User {$_USER['username']} tried to illegally delete blog $bid of type $type.");
    }

    return COM_refresh($_CONF['site_admin_url'] . '/plugins/blog/index.php');
}

// MAIN
$mode = '';
if (isset ($_REQUEST['mode'])) {
    $mode = $_REQUEST['mode'];
}

if (($mode == $LANG_ADMIN['delete']) && !empty ($LANG_ADMIN['delete'])) {
    $bid = COM_applyFilter ($_POST['bid']);
    if (!isset ($bid) || empty ($bid)) {  // || ($bid == 0)
        COM_errorLog ('Attempted to delete blog bid=' . $bid );
        $display .= COM_refresh ($_CONF['site_admin_url'] . '/plugins/blog/index.php');
    } elseif (SEC_checkToken()) {
        $type = '';
        if (isset($_POST['type'])) {
            $type = COM_applyFilter($_POST['type']);
        }
        $display .= delete_blog($bid, $type);
    } else {
        COM_accessLog("User {$_USER['username']} tried to illegally delete blog $bid and failed CSRF checks.");
        echo COM_refresh($_CONF['site_admin_url'] . '/index.php');
    }
} elseif (($mode == $LANG_ADMIN['save']) && !empty($LANG_ADMIN['save']) && SEC_checkToken()) {
    $cid = '';
    if (isset($_POST['cid'])) {
        $cid = $_POST['cid'];
    }
    $display .= save_blog (COM_applyFilter ($_POST['bid']),
            COM_applyFilter ($_POST['old_bid']),
            $_POST['content'], $_POST['title'],
            COM_applyFilter ($_POST['year'], true),
            COM_applyFilter ($_POST['month'], true),
            COM_applyFilter ($_POST['day'], true),
            COM_applyFilter ($_POST['commentcode']),
            COM_applyFilter ($_POST['owner_id'], true),
            COM_applyFilter ($_POST['group_id'], true),
            $_POST['perm_owner'], $_POST['perm_group'],
            $_POST['perm_members'], $_POST['perm_anon']);
} else if ($mode == 'editsubmission') {
    $display .= COM_siteHeader ('menu', $LANG_BL_ADMIN[1]);
    $display .= edit_blog ($mode, COM_applyFilter ($_GET['id']));
    $display .= COM_siteFooter ();
} else if ($mode == 'edit') {
    $display .= COM_siteHeader ('menu', $LANG_BL_ADMIN[1]);
    if (empty ($_GET['bid'])) {
        $display .= edit_blog ($mode);
    } else {
        $display .= edit_blog ($mode, COM_applyFilter ($_GET['bid']));
    }
    $display .= COM_siteFooter ();
} else { // 'cancel' or no mode at all
    $display .= COM_siteHeader ('menu', $LANG_BL_ADMIN[11]);
    if (isset ($_REQUEST['msg'])) {
        $msg = COM_applyFilter ($_REQUEST['msg'], true);
        if ($msg > 0) {
            $display .= COM_showMessage ($msg, 'blog');
        }
    }
    $display .= list_blog();
    $display .= COM_siteFooter ();
}

echo $display;

?>
