<?php

// Reminder: always indent with 4 spaces (no tabs).
// +---------------------------------------------------------------------------+
// | Blog Plugin 1.0                                                           |
// +---------------------------------------------------------------------------+
// | english.php                                                               |
// |                                                                           |
// | Initial Installation Defaults used when loading the online configuration  |
// | records. These settings are only used during the initial installation     |
// | and not referenced any more once the plugin is installed.                 |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2000-2008 by the following authors:                         |
// |                                                                           |
// | Authors: Tony Bibbs         - tony AT tonybibbs DOT com                   |
// |          Mark Limburg       - mlimburg AT users.sourceforge DOT net       |
// |          Jason Whittenburg  - jwhitten AT securitygeeks DOT com           |
// |          Dirk Haun          - dirk AT haun-online DOT de                  |
// |          Oliver Spiesshofer - oliver AT spiesshofer DOT com               |
// |          Euan McKay         - info AT heatherengineering DOT com          |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is licensed under the terms of the GNU General Public License|
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      |
// | See the GNU General Public License for more details.                      |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//


global $LANG32;

###############################################################################
# Array Format:
# $LANGXX[YY]:    $LANG - variable name
#                 XX - file id number
#                 YY - phrase id number
###############################################################################

/**
* the Blog plugin's lang array
*
* @global array $LANG_BL
*/
$LANG_BL = array(
    10 => 'Submissions',
    14 => 'Blog',
    84 => 'Blog',
    88 => 'No recent new items',
    114 => 'Blog',
    116 => 'Add a blog item',
    120 => 'To edit the Blog, click here: ',
    123 => 'Thank you',
    124 => 'No blog items',
    125 => 'Show all blog items',
    126 => 'Add comment'
);

###############################################################################
# for stats
/**
* the Blog plugin's lang stats array
*
* @global array $LANG_BL_STATS
*/
$LANG_BL_STATS = array(
    'blog' => 'Blog items in the System',
    'stats_headline' => 'Last Ten Blog items',
    'stats_page_title' => 'Blog',
    'stats_date' => 'Date',
    'stats_no_hits' => 'It appears that there are no Blog items on this site.',
);

###############################################################################
# for the search
/**
* the Blog plugin's lang search array
*
* @global array $LANG_BL_SEARCH
*/
$LANG_BL_SEARCH = array(
 'results' => 'Blog Results',
 'title' => 'Title',
 'date' => 'Date Added',
 'author' => 'Submitted by',
 'content' => 'Content'
);

###############################################################################
# for the submission form
/**
* the Blog plugin's lang submit form array
*
* @global array $LANG_BL_SUBMIT
*/
$LANG_BL_SUBMIT = array(
    1 => 'Submit a Blog item',
    2 => 'Title',
    3 => 'Date',
    4 => 'Content',
    6 => 'Error: Missing Category',
    8 => 'Year',
    9 => 'Month',
    10 => 'Day',
    11 => 'Blog Submissions'
);

###############################################################################
# Messages for COM_showMessage the submission form

$PLG_blog_MESSAGE1 = "Thank-you for submitting a blog item to {$_CONF['site_name']}. It has been submitted to our staff for approval. If approved, your blog item will be seen in the <a href={$_CONF['site_url']}/blog/index.php>blog</a> section.";
$PLG_blog_MESSAGE2 = 'Your blog item has been successfully saved.';
$PLG_blog_MESSAGE3 = 'The blog item has been successfully deleted.';
$PLG_blog_MESSAGE4 = "Thank-you for submitting a blog item to {$_CONF['site_name']}.  You can see it now in the <a href={$_CONF['site_url']}/blog/index.php>blog</a> section.";
$PLG_blog_MESSAGE5 = "You do not have sufficient access rights to view this page.";

// Messages for the plugin upgrade
$PLG_blog_MESSAGE3001 = 'Plugin upgrade not supported.';
$PLG_blog_MESSAGE3002 = $LANG32[9];

###############################################################################
# admin/plugins/blog/index.php
/**
* the Blog plugin's lang admin array
*
* @global array $LANG_BL_ADMIN
*/
$LANG_BL_ADMIN = array(
    1 => 'Blog Editor',
    2 => 'Blog ID',
    3 => 'Blog Title',
    9 => 'Blog Content',
    10 => 'You need to provide a title, date and content.',
    11 => 'Blog Manager',
    12 => 'To modify or delete a blog item, click on that item\'s edit icon below. To create a new blog item, click on "New blog item" above.',
    16 => 'Access Denied',
    17 => "You are trying to access a blog item that you don't have rights to.  This attempt has been logged. Please <a href=\"{$_CONF['site_admin_url']}/plugins/blog/index.php\">go back to the blog administration screen</a>.",
    24 => 'Blog not found',
    25 => 'The blog item you selected for editing could not be found.',
    29 => 'Enter or edit the details below.',
    51 => 'New blog item',
    53 => 'List blog items',
    61 => 'Year',
    62 => 'Month',
    63 => 'Day',
    64 => 'Date',
    65 => 'Content',
    66 => 'Date',
    67 => 'Title',
    68 => 'Enable comments'
);



// Localization of the Admin Configuration UI
$LANG_configsections['blog'] = array(
    'label' => 'Blog',
    'title' => 'Blog Configuration'
);

$LANG_confignames['blog'] = array(
    'blogloginrequired' => 'Blog Login Required?',
    'blogsubmission' => 'Enable Submission Queue?',
    'newbloginterval' => 'New Blog Interval',
    'hidenewblog' => 'Hide New Blog?',
    'hideblogmenu' => 'Hide Blog Menu Entry?',
    'blogperpage' => 'Blog per Page',
    'notification' => 'Notification Email?',
    'delete_blog' => 'Delete Blog with Owner?',
    'aftersave' => 'After Saving Blog',
    'default_permissions' => 'Blog Default Permissions',
    'replace_toppage' => 'Replace top page'
);

$LANG_configsubgroups['blog'] = array(
    'sg_main' => 'Main Settings'
);

$LANG_fs['blog'] = array(
    'fs_public' => 'Public Blog List Settings',
    'fs_admin' => 'Blog Admin Settings',
    'fs_permissions' => 'Default Permissions'
);

// Note: entries 0, 1, and 12 are the same as in $LANG_configselects['Core']
$LANG_configselects['blog'] = array(
    0 => array('True' => 1, 'False' => 0),
    1 => array('True' => TRUE, 'False' => FALSE),
    9 => array('Display item' => 'item', 'Display Admin List' => 'list', 'Display Public List' => 'plugin', 'Display Home' => 'home', 'Display Admin' => 'admin'),
    12 => array('No access' => 0, 'Read-Only' => 2, 'Read-Write' => 3)
);

?>
