<?php

// Reminder: always indent with 4 spaces (no tabs).
// +---------------------------------------------------------------------------+
// | Blog Plugin 1.0                                                           |
// +---------------------------------------------------------------------------+
// | japanese_utf-8.php                                                        |
// |                                                                           |
// | This is the Japanese language file for the Geeklog Blog Plugin            |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2000-2008 by the following authors:                         |
// |                                                                           |
// | Authors: Tony Bibbs         - tony AT tonybibbs DOT com                   |
// |          Mark Limburg       - mlimburg AT users.sourceforge DOT net       |
// |          Jason Whittenburg  - jwhitten AT securitygeeks DOT com           |
// |          Dirk Haun          - dirk AT haun-online DOT de                  |
// |          Oliver Spiesshofer - oliver AT spiesshofer DOT com               |
// |          Euan McKay         - info AT heatherengineering DOT com          |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is licensed under the terms of the GNU General Public License|
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      |
// | See the GNU General Public License for more details.                      |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//


global $LANG32;

###############################################################################
# Array Format:
# $LANGXX[YY]:    $LANG - variable name
#                 XX - file id number
#                 YY - phrase id number
###############################################################################

/**
* the Blog plugin's lang array
*
* @global array $LANG_BL
*/
$LANG_BL = array(
    10 => '投稿',
    14 => 'ニュース',
    84 => 'ニュース',
    88 => '新規ニュースがありません',
    114 => 'ニュース',
    116 => '新規ニュースを投稿',
    120 => 'ニュースを編集するには、ここをクリックしてください：',
    123 => 'ありがとうございました',
    124 => 'ニュースがありません',
    125 => 'すべてを表示',
    126 => 'コメントを追加'
);

###############################################################################
# for stats
/**
* the Blog plugin's lang stats array
*
* @global array $LANG_BL_STATS
*/
$LANG_BL_STATS = array(
    'blog' => 'ニュース数',
    'stats_headline' => '最後の10件のニュース',
    'stats_page_title' => 'ニュース',
    'stats_date' => '日付',
    'stats_no_hits' => 'このサイトにはニュースがありません',
);

###############################################################################
# for the search
/**
* the Blog plugin's lang search array
*
* @global array $LANG_BL_SEARCH
*/
$LANG_BL_SEARCH = array(
 'results' => 'ニュース検索結果',
 'title' => 'タイトル',
 'date' => '投稿日時',
 'author' => '投稿者',
 'content' => '内容'
);

###############################################################################
# for the submission form
/**
* the Blog plugin's lang submit form array
*
* @global array $LANG_BL_SUBMIT
*/
$LANG_BL_SUBMIT = array(
    1 => 'ニュースを投稿する',
    2 => 'タイトル',
    3 => '日付',
    4 => '内容',
    6 => 'エラー：情報をすべて記入してください',
    8 => '年',
    9 => '月',
    10 => '日',
    11 => 'ニュースの投稿申請'
);

###############################################################################
# Messages for COM_showMessage the submission form

$PLG_blog_MESSAGE1 = "{$_CONF['site_name']}にニュースを登録していただき、ありがとうございます。このニュースは承認のためにスタッフに送られました。承認されますと、あなたのニュースは<a href={$_CONF['site_url']}/blog/index.php>ニュースセクション</a>に表示されます。";
$PLG_blog_MESSAGE2 = 'ニュースは保存されました。';
$PLG_blog_MESSAGE3 = 'ニュースは削除されました。';
$PLG_blog_MESSAGE4 = "{$_CONF['site_name']}にニュースを登録していただき、ありがとうございます。<a href={$_CONF['site_url']}/blog/index.php>ニュース</a>セクションでご覧いただけます。";
$PLG_blog_MESSAGE5 = "あなたには、このページを見るための十分なアクセス権がありません。";

// Messages for the plugin upgrade
$PLG_blog_MESSAGE3001 = 'プラグインのアップグレードはサポートされていません。';
$PLG_blog_MESSAGE3002 = $LANG32[9];

###############################################################################
# admin/plugins/blog/index.php
/**
* the Blog plugin's lang admin array
*
* @global array $LANG_BL_ADMIN
*/
$LANG_BL_ADMIN = array(
    1 => 'ニュース編集',
    2 => 'ニュースID',
    3 => 'ニュースタイトル',
    9 => 'ニュース内容',
    10 => 'タイトル、日付と内容の入力が必要です',
    11 => 'ニュース管理画面',
    12 => 'ニュースの編集・削除は編集アイコンをクリック、ニュースの作成は上の「ニュースの作成」をクリックしてください。',
    16 => 'アクセスが拒否されました',
    17 => "権限のないニュースにアクセスしようとしましたのでログに記録しました。<a href=\"{$_CONF['site_admin_url']}/plugins/blog/index.php\">ニュースの管理画面に戻って</a>ください。",
    24 => 'ニュースが見つかりません',
    25 => '編集対象のニュースが見つかりませんでした',
    29 => '以下の項目を入力または編集してください',
    51 => 'ニュースの作成',
    53 => 'ニュースのリスト',
    61 => '年',
    62 => '月',
    63 => '日',
    64 => '日付',
    65 => '内容',
    66 => '日付',
    67 => 'タイトル',
    68 => 'コメントを有効にする'
);


// Localization of the Admin Configuration UI
$LANG_configsections['blog'] = array(
    'label' => 'ニュース',
    'title' => 'ニュースの設定'
);

$LANG_confignames['blog'] = array(
    'blogloginrequired' => 'ログインを要求する',
    'blogsubmission' => 'ニュースの投稿を管理者が承認する',
    'newbloginterval' => '新規ニュースと見なす期間',
    'hidenewblog' => '新着情報ブロックに表示しない',
    'hideblogmenu' => 'メニューに表示しない',
    'blogperpage' => 'ページあたりのニュース数',
    'notification' => 'メールで通知する',
    'delete_blog' => '所有者の削除と共に削除する',
    'aftersave' => 'ニュース保存後の画面遷移',
    'default_permissions' => 'パーミッション',
    'replace_toppage' => 'サイトのトップページを置き換える'
);

$LANG_configsubgroups['blog'] = array(
    'sg_main' => 'メイン'
);

$LANG_fs['blog'] = array(
    'fs_public' => 'ニュースの表示',
    'fs_admin' => 'ニュースの管理',
    'fs_permissions' => 'ニュースのデフォルトパーミッション（[0]所有者 [1]グループ [2]メンバー [3]ゲスト）'
);

// Note: entries 0, 1, and 12 are the same as in $LANG_configselects['Core']
$LANG_configselects['blog'] = array(
    0 => array('はい' => 1, 'いいえ' => 0),
    1 => array('はい' => TRUE, 'いいえ' => FALSE),
    9 => array('ニュース管理を表示する' => 'list', '公開ニュースリストを表示する' => 'plugin', 'ホームを表示する' => 'home', '管理画面トップを表示する' => 'admin'),
    12 => array('アクセス不可' => 0, '表示' => 2, '表示・編集' => 3)
);

?>